w=[12.46 10.46 8.88 7.58 6.6 5.78 5.07];
h=[-17.36 -25.66 -30.74 -33.72 -35.78 -36.96 -37.7 -38.02]*1e-2;
wavg=w/2;
rev=[19.7 32.36 41.32 47.8 52.71 56.44 59.45 61.82];

dh=-diff(h);
drev=diff(rev);

m=1.2;
g=9.8;

dE=m*g*dh; %loss in eight per bounce
dEperdrev=dE./drev;
figure; plot(wavg,1000*dEperdrev,'-o');
title('Energy loss in a revolution changes with angular velocity');
xlabel('\omega (rad/s)'); ylabel('Energy loss per revolution (mJ)')